package com.xinelu.manage.service.scriptInfo;

import com.xinelu.common.core.domain.AjaxResult;
import com.xinelu.manage.domain.scriptInfo.ScriptInfo;
import com.xinelu.manage.dto.script.ScriptInfoDto;
import com.xinelu.manage.vo.scriptInfo.ScriptVO;
import java.util.List;
import org.springframework.web.multipart.MultipartFile;

/**
 * 话术信息Service接口
 *
 * @author xinelu
 * @date 2024-02-26
 */
public interface IScriptInfoService {
    /**
     * 查询话术信息
     *
     * @param id 话术信息主键
     * @return 话术信息
     */
    public ScriptInfo selectScriptInfoById(Long id);

    /**
     * 查询话术信息列表
     *
     * @param scriptInfo 话术信息
     * @return 话术信息集合
     */
    List<ScriptInfo> selectScriptInfoList(ScriptInfoDto scriptInfo);

    /**
     * 新增话术信息
     *
     * @param scriptInfo 话术信息
     * @return 结果
     */
    public int insertScriptInfo(ScriptInfo scriptInfo);

    /**
     * 修改话术信息
     *
     * @param scriptInfo 话术信息
     * @return 结果
     */
    public int updateScriptInfo(ScriptInfo scriptInfo);

    /**
     * 批量删除话术信息
     *
     * @param ids 需要删除的话术信息主键集合
     * @return 结果
     */
    public int deleteScriptInfoByIds(Long[] ids);

    /**
     * 删除话术信息信息
     *
     * @param id 话术信息主键
     * @return 结果
     */
    public int deleteScriptInfoById(Long id);

    /**
     * 话术图片上传
     */
    AjaxResult uploadScriptInfo(MultipartFile multipartFile) throws Exception;

   AjaxResult selectScriptEdgeNode(Long id);

    /**
     * 新增话术节点
     */
    AjaxResult insertScriptEdgeNode(ScriptVO scriptVO);

    /**
     * 新增话术节点
     */
    AjaxResult updateScriptEdgeNode(ScriptVO scriptVO);

    /**
     * 查询话术变量
     */
    AjaxResult selectScriptVariable(Long id);
}
